### Method

# Foundry SdkProvider find_by_id

#### Declaration [src]

    DexFuture*
    foundry_sdk_provider_find_by_id (
      FoundrySdkProvider* self,
      const char* sdk_id
    )

#### Description

No description available.

#### Parameters

`sdk_id`

  Type: `const char*`

  The identifier for the SDK such as “org.gnome.Sdk/x86_64/master”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundrySdk` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.